#include <iostream>

using namespace std;
long long int arr[1000010];
int main()
{
    std::ios::sync_with_stdio(false);
    int n;
    string s;
    cin>>n>>s;
    for(int i=0;i<n;i++)
    {
        if(s[i]==65)
        {arr[i]=1;}
    }
    for(int j=1;j<26;j++)
    {
        long long int sum=0;
        for(int i=0;i<n;i++)
        {
            if(s[i]==(65+j-1))
            {
                sum+=arr[i];
                sum=sum%(1000000007);
            }
            if(s[i]==(65+j))
            {
                arr[i]=sum;
            }
        }
    }
    long long int result=0;
    for(int i=0;i<n;i++)
    {
        if(s[i]==90)
        {
            result+=arr[i];
            result=result%(1000000007);
        }
    }
    cout<<result;
    return 0;
}